/* Rtfdecl.h */

// RTF parser declarations
int ecRtfParse(Biobuf *);
int ecPushRtfState(void);
int ecPopRtfState(void);
int ecParseRtfKeyword(Biobuf *);
int ecParseChar(int c);
int ecTranslateKeyword(char *szKeyword, int param, bool fParam);
int ecPrintChar(int ch);
int ecEndGroupAction(RDS rds);
int ecApplyPropChange(IPROP iprop, int val);
int ecChangeDest(IDEST idest);
int ecParseSpecialKeyword(IPFN ipfn);
int ecParseSpecialProperty(IPROP iprop, int val);
int ecParseHexByte(void);

// RTF variable declarations
extern int cGroup;
extern RDS rds;
extern RIS ris;
extern CHP chp;
extern PAP pap;
extern SEP sep;
extern DOP dop;
extern SAVE *psave;
extern long cbBin;
extern long lParam;
extern bool fSkipDestIfUnk;

// RTF parser error codes
#define ecOK 			0
#define ecStackUnderflow 	1
#define ecStackOverflow 	2 
#define ecUnmatchedBrace 	3
#define ecInvalidHex 		4
#define ecBadTable 		5
#define ecAssertion 		6
#define ecEndOfFile 		7 
